This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 242570 - KSensors only autostarts if automatic session restoring is enabled
KSensors only autostarts if automatic session restoring is enabled
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ksensors (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-04 16:42 EDT by Kevin Kofler
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 0.7.3-11.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-06 13:57:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kevin Kofler 2007-06-04 16:42:35 EDT
Description of problem:
Even when checking "Autostart KSensors on KDE startup", KSensors only actually 
comes up on the next login if KDE's automatic session restoring is enabled. 
This isn't the case by default in F7 (see bug #242564), and autostarting 
shouldn't rely on session management anyway.

Version-Release number of selected component (if applicable):
ksensors-0.7.3-7.fc6
(Yes, this is the version in the F7 repos.)

How reproducible:
Always.

Steps to Reproduce:
1. Disable KDE session management under KControl -> KDE Components -> Session 
Manager (On Login section). (Or just install the default F7 kde-settings, 
which has this disabled.)
2. Start KSensors, make sure the option to "Autostart KSensors on KDE startup" 
is checked.
3. Log out.
4. Log in.

Actual results:
KSensors is no longer running.

Expected results:
KSensors should be automatically restarted.
Comment 1 Ville Skyttä 2007-06-26 15:45:28 EDT
Should be fixed in 0.7.3-8, currently building for Rawhide.  The key was to add
these lines to the .desktop file and in addition to /usr/share/applications,
copy/symlink it to /usr/share/autostart too (akin to eg. kgpg does it):

X-KDE-autostart-after=panel
X-KDE-autostart-condition=ksensorsrc:General:AutoStart:true

("true" to match the default "checked" state of the autostart checkbox in an
unconfigured ksensors installation.)

Note to self for future reference: http://docs.kde.org/userguide/ksmserver.html
Comment 2 Hans de Goede 2007-07-27 17:57:33 EDT
Taking over as I'm the new maintainer for ksensors (on request of Ville).
Comment 3 Fedora Update System 2007-07-30 12:59:32 EDT
ksensors-0.7.3-11.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2007-08-06 13:57:08 EDT
ksensors-0.7.3-11.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.